<!--
/******************************************************************
	Start Functions to handle trp looking at the source via right mouse down
******************************************************************/
function disableRightMouseclicks() {
	initMouseHandler();
}

function initMouseHandler() {
	if (document.layers) {
		document.captureEvents(Event.MOUSEDOWN);
	} else {
		document.oncontextmenu = contextmenuhandler;
	}

	document.onmousedown = mousedown;
}

function contextmenuhandler() {
	return false;
}

function mousedown(evt) {
	var isNS = (document.layers) ? true : false;
	var btncode = (isNS) ? evt.which : null; 
	if (!isNS) {
		btncode = event.button;
	}

	if (isNS) {
		if (btncode == 3) {	// right mouse....
			return false;		
		} else {
			routeEvent(evt);	
		}
	} else {
		if (btncode == 2) {
			//alert(top.vGTOPDisabledRightClickMessage);
			event.cancelBubble = false;
			event.returnValue = false;
			return;
		} else {
			return;
		}
	}
}

/******************************************************************
	END Functions to handle trp looking at the source via right mouse down
******************************************************************/
//-->
